<acronym id="xonnx"></acronym>
      <td id="xonnx"></td>
    1. <pre id="xonnx"></pre>

      1. 專注電子技術學習與研究
        當前位置:單片機教程網 >> Arduino >> 瀏覽文章

        使老版本庫文件支持Arduino 1.0 IDE的方法

        作者:huqin   來源:本站原創   點擊數:  更新時間:2014年04月02日   【字體:

        Arduino 1.0 IDE 升級以后好多老的庫文件在1.0下無法編譯了。。讓大家很痛苦。今天介紹下,怎么修改老的庫文件,使其支持Arduino 1.0 IDE。

        以DS1302的庫為例,首先我們打開庫文件?梢钥吹嚼锩嬗袃蓚文件,一個是DS1302.cpp,一個是DS1302.h。



        用notepad++等文本編輯器,打開DS1302.cpp,會看到里面有一個“#include "WProgram.h"”字段



        同樣打開DS1302.h,也會看到里面有一個“#include "WProgram.h"”字段。



        我們把兩個文件的“#include "WProgram.h""字段替換為

        ARDUINO 代碼復制打印
         
        1. #if ARDUINO >= 100
        2. #include "Arduino.h"
        3. #else
        4. #include "WProgram.h"
        5. #endif

        變為下圖這樣子





        把修改好的庫放入Arduino 1.0 IDE中,就可以正常編譯了。

        其實問題原因也比較簡單,以前老版本中調用的WProgram.h,在1.0 IDE中改名為Arduino.h了~~~~只要替換掉相應字段,就可以使用了。

        關閉窗口

        相關文章

        欧美性色欧美精品视频,99热这里只有精品mp4,日韩高清亚洲日韩精品一区二区,2020国自产拍精品高潮